@import url('https://fonts.googleapis.com/css?family=Ubuntu:300,400');
/***************************/
/********** Common *********/
/***************************/

/* COLORS
- Primary color: #016495
- Secondary color: #4b93b8
- Text color: #17263F */

/****** Global Reset *******/

* {
    margin: 0;
    padding: 0;
}

html,
body {
    height: 100%;
    overflow-x: hidden;
}

body {
    color: #666666;
    font-family: 'Ubuntu', Arial, Helvetica, sans-serif;
    text-align: center;
    background-color: #eaedef;
    line-height: 1.5em;
}

h3 {
    color: #17263F;
    font-size: 100%;
    font-weight: 300;
}

h1,
h2,
h4,
h5,
h6 {
    color: #4b93b8;
    font-size: 100%;
    font-weight: 300;
}

h1 {
    margin-bottom: .5em;
    padding-top: 2em;
    padding-bottom: 0.4em;
    width: 100%;
    font-size: 200%;
}

h2 {
    margin-top: .5em;
    margin-bottom: .3em;
    width: 100%;
    font-size: 165%;
}

p {
    margin: 1em 0;
    font-weight: 300;
}

a {
    color: #016495;
    font-weight: 200%;
}

.banner-logo img {
    margin: 0 auto;
}

.project-name {
    font-weight: bold;
}

.project-description {
    margin-left: 1em;
    margin-bottom: 1em;
}

.member {
    height: 30px;
    width: 30px;
}

a:visited {
    color: #016495;
}

table {
    width: calc(100% - 16px);
    max-width: 500px;
    margin: 8px auto;
    background: white;
    border-collapse: collapse;
}
table th {
    background: #17263F;
    color: white;
}
table tr,
table th {
    height: 40px;
}

table tr {
    border-bottom: 1px solid #eee;
}

table tr td {
    font-weight: 300;
}

table tr:nth-child(1) td,
table tr:nth-child(2) td,
table tr:nth-child(3) td,
table tr:nth-child(4) td {
    border-right: 1px solid #eee;
}
/***************************/
/* Home
/***************************/

.home {
    padding-top: 10vh;
    width: 90vw;
    max-width: 1140px;
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-left: 5vw;
    margin-right: 5vw;
    margin: 0 auto;
}

.home-section {
    color: #252525;
    display: flex;
    flex-direction: column;
    /* width: 30%; */
    position: relative;
    margin: 10px;
}

.home-section.side .home-section-part {
    width: 300px;
}

.home-section-part {
    position: relative;
    background-color: #fff;
    margin-top: 10px;
    margin-bottom: 10px;
    border-bottom: 5px solid #4b93b8;
}

.home-section-part:hover {            
    box-shadow: 0 0 10px 0px rgba(0, 0, 0, .20)
}

.home-section-content {
    padding: 20px 30px;
    text-align: left;
    overflow: hidden;
}        

.home-section-content h2 {
    margin-left: 80px;
    font-weight: 300;
    padding-bottom: 10px;
    margin-bottom: 40px;
    border-bottom: 1px solid #eaedef;
}

.home-section-content i {
    font-size: 72px;
    width: 72px;
    color: #4b93b8;
    position: absolute;
    top: 20px;
    left: 32px;
}
.home-section-content img.icon-instagram {
    height: 60px;
    width: 60px;
    background-size: contain;
    position: absolute;
    top: 20px;
    left: 30px;
}

ul.posts {
    list-style-type: none;
    margin-bottom: 1.2em;
}

.mc-field-group {
    padding-left: 1em;
}

ul.posts span {
    font-size: 80%;
    font-weight: 700;
    background-color: #EDF3F3;
    color: #D4CBAA;
    padding: .2em .5em .2em .5em;
    border-radius: 2px;
}
    
/***************************/
/* Site
/***************************/

.site {
    font-size: 110%;
    text-align: justify;
    max-width: 32em;
    margin: auto;
    margin-top: 1em;
    margin-bottom: 1.5em;
    background-color: #B7C1C0;
    padding: 1.3em;
    border: 1px solid #A6A094;
}

.title {
    color: #a00;
    font-weight: bold;
    margin-bottom: 2em;
}

.site .title a {
    color: #a00;
    text-decoration: none;
}

.site .title a:hover {
    color: black;
}

.site .title a.extra {
    color: #aaa;
    text-decoration: none;
    margin-left: 1em;
}

.site .title a.extra:hover {
    color: black;
}

.site .meta {
    color: #aaa;
}

.site .footer {
    font-size: 80%;
    color: #666;
    border-top: 4px solid #eee;
    margin-top: 2em;
    overflow: hidden;
}

.site .footer .contact {
    float: left;
    margin-right: 3em;
}

.site .footer .contact a {
    color: #8085C1;
}

.site .footer .rss {
    margin-top: 1.1em;
    margin-right: -.2em;
    float: right;
}

.site .footer .rss img {
    border: 0;
}

/***************************/
/* Archive 
/***************************/

.home-section-container {
    width: 100%;
}

/***************************/
/* Posts
/***************************/

.author {
    text-align: right;
    font-size: 12px;
}

h4.category-head a {
    text-decoration: none;
    color: #252525;
}

h4.category-head a:hover {
    text-decoration: underline;
    color: #252525;
}

article.archive-item {
    padding-left: 10px;
}

article.archive-item a{
    text-decoration: none;
    font-size: 12px
}

article.archive-item a:hover {
    text-decoration: underline;
}

#post pre {
    border: 1px solid #ddd;
    background-color: #eef;
    padding: 0 .4em;
}

#post ul,
#post ol {
    margin-left: 1.35em;
}

#post code {
    border: 1px solid #ddd;
    background-color: #eef;
    font-size: 85%;
    padding: 0 .2em;
}

#post pre code {
    border: none;
}
/* terminal */

#post pre.terminal {
    border: 1px solid black;
    background-color: #333;
}

#post pre.terminal code {
    background-color: #333;
}

#related {
    margin-top: 2em;
}

#related h2 {
    margin-bottom: 1em;
}

#homelink,
#homelinkbanner {
    text-decoration: none;
}

#homelink {
    position: absolute;
    top: 0;
    left: 0;
    margin-top: 24px;
    margin-left: 30px;
    font-size: 3em;
}

#homelink img {
    width: 100px;
}

.memberwrapper,
.partnerswrapper {
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-gap: 5px 0px;
    text-align: center; 
    
}

.memberwrapper div,
.partnerswrapper div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    width: 100%;
}

.memberwrapper div a {
    display: inline-block;
    width: 53px;
    margin: 0 5px;
    
}
.memberwrapper div img {
    display: inline-block;
    width: 100%;
    
}
.partnerswrapper div img {
    display: inline-block;
    width: 100%;
    margin: 0 5px;
}

#instafeed img{
    width: calc(20% - 10px);
    margin: 2.5px 5px;
    height: auto;
}
    
/*******************
***   CONTACT   ****
*******************/
#contact form {
    width: calc(100% - 60px - 16px);
    max-width: 500px;
    margin: 0 auto;
    padding: 30px !important;
    background-color: white;
    border-bottom: 5px solid #4b93b8;
}
#contact form:hover {
    box-shadow: 0 0 10px 0px rgba(0, 0, 0, .20);
}

#contact h2 {
    color: #17263F;
}

#contact form label {
    font-weight: 300;
}

#contact form textarea {
    font-family: 'Ubuntu', Arial, Helvetica, sans-serif;
    width: calc(100% - 22px);
    margin-bottom: 8px;
    border: 1px solid #ddd;
    padding: 10px;
    resize: vertical;
}

#contact form input {
    font-family: 'Ubuntu', Arial, Helvetica, sans-serif;
    width: calc(100% - 24px);
    height: 35px;
    padding: 5px 10px !important;
    margin-bottom: 8px;
    border: 1px solid #ddd;
    border-radius: 0 !important;
}

#contact form input:focus,
#contact form textarea:focus {
    outline: none;
    border-color: #016495;
    transition: border-color .5s;
}

#contact form button {
    border: none;
    width: 100%;
    background-color: #4b93b8;
    color: white;
    text-align: center;
    display: inline-block;
    height: 45px;
}

#contact form button:hover {
    background-color: #016495;
    transition: .5s;
    cursor: pointer;
}
#mc_embed_signup .mc-field-group {
    padding: 0;
}
    
/*******************
****   MOBILE   ****
*******************/
@media screen and (max-width: 320px) {
    ul.posts li.post {
        width: calc(100% - 16px);
    }
    .banner-logo img {
        width: 80%;
        max-width: 300px;
    }
}
@media screen and (max-width: 480px) {
    ul.posts li.post {
        width: calc(100% - 16px) !important;
    }
    .banner-logo img {
        width: 80%;
        max-width: 300px;
    }
    body {
        font-size: 14px;
    }
    .project-name {
        font-size: 16px;
    }
    .banner-detail .banner-logo {
        height: 30px;
    }
}
@media screen and (max-width: 960px) {            
    ul.posts li.post {
        width: calc(33.33% - 16px);
    }
    .banner-logo img {
        width: 80%;
    }
    
    .home,
    #home {
        width: 100%;
        margin: 0;
        display: block;
    }

    .home-section {
        margin: 5px 10px;
    }

    .home-section-part {
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .home-section.side .home-section-part {
        width: 100%;
    }

    .memberwrapper div a {
        width: 80%;
        height: 80%;
        margin: auto;
    }
    .banner-detail .banner-logo {
        height: 30px;
    }
    .banner-detail {
        max-height: 150px;
    }
}
@media screen and (min-width: 960px) {
    ul.posts li.post {
        width: calc(33.33% - 16px);
    }
    .banner-logo img {
        max-width: 500px;
    }
    .project-name {
        font-size: 18px;
    }
    .banner-detail .banner-logo {
        height: 50px;
    }
    .banner-detail {
        height: 50vh;
        max-height: 300px;
    }
}

/*******************
****    FORM    ****
*******************/

/*******************
****   CANVAS   ****
*******************/

.banner #c {
    width: 100%;
    height: 100vh;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
}
.banner-detail #c {
    width: 100vw;
    height: 100vh;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
}
.banner {
    height: 10vh;
    width: 100vw;
    position: relative;
    margin: 0 auto;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.banner .banner-logo {
    position: relative;
    margin-left: 0;
    margin-right: 0;
    z-index: 100;
    top: calc(50vh - 100px);
}

.banner-detail .banner-logo {            
    margin-top: 30px;
    margin-bottom: 30px;
}

ul.posts li.post {
    margin: 8px;
    list-style: none;
    float: left;
    position: relative;
    border-bottom: 5px solid #4b93b8;
}
ul.posts li.post a {
    display: block;
}
ul.posts li.post .post-image {
    width: 100%;
    display: block;
}
ul.posts li.post p {
    position: absolute;
    bottom: 8px;
    text-align: center;
    width: 100%;
    margin: 0;
    color: white;
    font-weight: 600;
    z-index: 10;
}
ul.posts li.post .black-bg {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 48px;
    background: linear-gradient(transparent, black 85%);
    z-index: 9;
}

ul.posts li.post a.btn-details {
    position: absolute;
    top: 16px;
    padding: 8px;
    width: 100px;
    height: 50px;
    line-height: 50px;
    margin: 0 calc(50% - 50px - 8px);
    text-align: center;
    background: white;
    z-index: -1;
}
img.post-image:hover + p + div + a.btn-details,
img.post-image:focus + p + div + a.btn-details,
img.post-image:active + p + div + a.btn-details {
    z-index: 15;
}
